﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ASHermed.SinoInterface.Api.ContractModel.Payment.Model
{
    /// <summary>
    /// H5支付响应参数
    /// </summary>
    public class LcTradeAPPPayModel
    {
        /// <summary>
        /// 平台分配给开发者的应用ID
        /// </summary>
        public string App_id { get; set; }
        /// <summary>
        /// 接口名称
        /// </summary>
        public string Method { get; set; }
        /// <summary>
        /// 发送请求的时间，格式'yyyy - MM - dd HH:mm:ss'
        /// </summary>
        public string Timestamp { get; set; }
        /// <summary>
        /// 请求随机字符串 每次请求值不能一样
        /// </summary>
        public string Nonce_Str { get; set; }
        /// <summary>
        /// 网关返回码
        /// </summary>
        public string Code { get; set; }
        /// <summary>
        /// 网关返回码描述
        /// </summary>
        public string Msg { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public BizContent5 Biz_Content { get; set; }

        /// <summary>
        /// 商户生成签名字符串所使用的签名算法类型，目前支持RSA
        /// </summary>
        public string Sign_Type { get; set; }
        /// <summary>
        /// 商户请求参数的签名串，详见	详见示例
        /// </summary>
        public string Sign { get; set; }
        /// <summary>
        /// 支付类型(alipay,weixin,unionpay)
        /// </summary>
        public string PayWay { get; set; }
    }

    /// <summary>
    /// 
    /// </summary>
    public class BizContent5
    {
        ///// <summary>
        ///// 业务返回码
        ///// </summary>
        //public string Sub_Code { get; set; }
        ///// <summary>
        ///// 交易已被支付
        ///// </summary>
        //public string Sub_Msg { get; set; }
        /// <summary>
        /// 跳转的url
        /// </summary>
        public string paystr{ get; set; }
    }

}
